:root {
  --color-cyan: rgb(0, 221, 255);
  --color-dark-grey: #1a1f24;
  --color-white: #fff;
  --color-blue: #4939ef;
  --color-pale-white: #f7f7f7;
}

html,
body {
  background-color: var(--color-dark-grey);
  color: #000;
  font-family: 'Raleway', sans-serif;
  font-size: 16px;
}

/* LINK - Colors */
.txt-color-blue {
  color: var(--color-blue);
}
.txt-color-cyan {
  color: var(--color-cyan);
}

.bg-color-blue {
  background-color: var(--color-blue);
}
.bg-color-cyan {
  background-color: var(--color-cyan);
}
.bg-color-white {
  background-color: var(--color-white);
}
.bg-color-pale-white {
  background-color: var(--color-pale-white);
}
.bg-color-dark-grey {
  background-color: var(--color-dark-grey);
}

/* LINK - Fonts */
.raleway-light {
  font-weight: 300;
}
.raleway-regular {
  font-weight: 400;
}
.raleway-medium {
  font-weight: 500;
}
.raleway-bold {
  font-weight: 700;
}
.raleway-extra-bold {
  font-weight: 800;
}

/* LINK - Form */
label {
  color: #fff;
  font-size: 16px;
}
.form-control,
.form-control:focus {
  background-color: #3d3f41;
  border-color: #3d3f41;
  border-radius: 20px;
  color: #fff;
  padding: 10px;
}
textarea {
  resize: none;
}
.btn-send {
  background-color: var(--color-blue);
  border: 3px solid transparent;
  border-radius: 25px;
  color: #000;
  font-weight: bold;
  margin-top: 25px;
  padding: 0.5em 0.75em;
}
.btn-send span {
  padding-right: 55px !important;
}
.btn-send:hover {
  background-color: var(--color-white);
  border-color: var(--color-white);
  color: var(--color-blue);
}
.btn-send::after {
  display: inline-block;
  height: 16px;
  width: 16px;
}
.btn-send::after {
  content: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTYiIGhlaWdodD0iMTYiIHZpZXdCb3g9IjAgMCAxNiAxNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNOCAwTDYuNTkgMS40MUwxMi4xNyA3TDAgN1Y5TDEyLjE3IDlMNi41OCAxNC41OEw4IDE2TDE2IDhMOCAwWiIgZmlsbD0iIzAwMDAwMCIvPjwvc3ZnPg==);
}
.btn-send:hover::after {
  content: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTYiIGhlaWdodD0iMTYiIHZpZXdCb3g9IjAgMCAxNiAxNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNOCAwTDYuNTkgMS40MUwxMi4xNyA3TDAgN1Y5TDEyLjE3IDlMNi41OCAxNC41OEw4IDE2TDE2IDhMOCAwWiIgZmlsbD0iIzQ5MzllZiIvPjwvc3ZnPg==);
}

/* LINK - Utilities */
.two-columns {
  -moz-column-count: 2;
  column-count: 2;
  -moz-column-gap: 40px;
  column-gap: 40px; /* Espacio entre columnas */
}

/* LINK - Navigation */
header > .navbar {
  background-color: var(--color-dark-grey);
  border-bottom: 5px solid var(--color-cyan);
}
.navbar-brand #logo {
  height: 77px;
  transition: height 0.3s ease;
}
.navbar-small {
  transition: padding 0.3s ease;
}
.navbar-brand-small {
  height: 40px !important;
}
.navbar-toggler {
  border: 0;
}
.navbar-toggler:focus {
  box-shadow: none;
}
.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 221, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}
.navbar-collapse ul {
  background-color: var(--color-cyan);
}

.navbar-collapse.collapsing ul,
.navbar-collapse.show ul {
  padding-top: 7px;
}

.navbar-nav li {
  padding-right: 40px;
  position: relative;
  margin-left: 40px;
}
.navbar-nav li:last-child {
  padding-right: 0;
}
.navbar-nav li a::before {
  background-color: var(--color-white);
  border-radius: 25px;
  content: '';
  display: block;
  height: 10px;
  left: -20px;
  position: absolute;
  top: 38%;
  width: 10px;
}

.navbar .nav-link {
  color: #000;
}
.navbar .nav-link:focus,
.navbar .nav-link:hover {
  color: var(--color-cyan);
}

.navbar-collapse.show .nav-link:focus,
.navbar-collapse.show .nav-link:hover {
  color: #000;
}

/* LINK - Layout */
main {
  margin-top: 123px;
}

/* LINK - Hero */
.bg-hero {
  background-image: url('../img/hero.jpg');
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}
#hero {
  background-color: var(--color-blue);
  height: calc(100vh - 123px);
  overflow: hidden;
  position: relative;
}
#hero .copy {
  left: 50%;
  position: absolute;
  text-align: right;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
}
#hero .copy h1 {
  font-size: 3rem;
}
#hero video {
  height: 100%;
  left: 0;
  -o-object-fit: cover;
  object-fit: cover;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 1;
}

/* LINK - About */
#about h2 {
  font-size: 3rem;
  line-height: 1;
}
#about .about-circle-1 {
  left: 50%;
  top: 10%;
  transform: translateX(-50%);
}

#about .about-circle-2 {
  right: 5%;
  top: 5%;
}

#about .about-circle-3 {
  left: 33%;
  top: 37%;
}

#about .about-circle-4 {
  bottom: 8%;
  left: -10%;
}
#about .about-circle-1 img {
  height: auto;
  width: 200px;
}

#about .copy {
  padding: 50px 35px;
}

/* LINK - Services */
#services h2 {
  font-size: 2.75rem;
}
#services h3,
#services-2 h3 {
  font-size: 1.75rem;
}
#services h4,
#services-2 h4 {
  font-size: 1.25rem;
}
#services ul li::marker,
#services-2 ul li::marker {
  color: var(--color-cyan);
}

#services .copy,
#services-2 .copy {
  padding-top: 15px;
}

#services-2 .copy {
  padding-bottom: 50px;
}

/* LINK - Carousel */
#technologies {
  padding: 75px 0;
}
#technologies .owl-carousel .owl-item {
  text-align: center;
}

#technologies .owl-carousel .owl-item img {
  max-width: 75px;
  width: auto;
  margin: 0 auto;
}
/* LINK - Connect */
.bg-connect {
  background: linear-gradient(180deg, rgba(26, 31, 36, 1) 50%, rgba(13, 15, 18, 1) 50%);
}
#connect .column-1 {
  background-color: var(--color-dark-grey);
  padding: 50px 25px 100px;
  overflow: hidden;
}
#connect .column-2 {
  background-color: #0d0f12;
  padding: 50px 25px 50px;
}
#connect .logo-connect {
  bottom: 10%;
  position: absolute;
  right: 10%;
}

#connect .keyboard-connect {
  bottom: -50%;
  left: -20%;
  position: absolute;
}

#connect .logo-connect img {
  max-width: 350px;
  width: 200px;
}

#connect .copy {
  width: 50%;
}

#connect h2 {
  font-size: 3.75rem;
  line-height: 1;
}

/* LINK - Footer */
footer {
  background: var(--color-cyan);
}
footer .navbar-brand img {
  width: 240px;
}

.scroll-up {
  align-items: center;
  border: 4px solid var(--color-white);
  border-radius: 50px;
  display: inline-flex;
  height: 50px;
  justify-content: center;
  width: 50px;
}

.scroll-up:hover {
  background-color: var(--color-white);
}

/* LINK - Media Queries */
@media (min-width: 576px) {
}

@media (min-width: 768px) {
  .navbar-collapse ul {
    background-color: transparent;
  }
  .navbar-nav li {
    margin-left: 0px;
  }
  .navbar-nav li a::before {
    background-color: var(--color-cyan);
  }
  .navbar .nav-link {
    color: var(--color-white);
  }
  .navbar .nav-link.active {
    color: var(--color-cyan);
  }
  #hero .copy h1 {
    font-size: 3.75rem;
  }
  #about {
    background: rgb(26, 31, 36);
    background: linear-gradient(90deg, rgba(255, 255, 255, 1) 50%, rgba(0, 221, 255, 1) 50%);
  }
  #about h2 {
    font-size: 3.75rem;
  }

  #services img[src*='_icon'] {
    width: 100px;
  }

  .bg-connect {
    background: linear-gradient(90deg, rgba(26, 31, 36, 1) 50%, rgba(13, 15, 18, 1) 50%);
  }

  #connect .logo-connect {
    right: 10%;
    top: 35%;
  }

  #connect .column-1,
  #connect .column-2 {
    background-color: transparent;
  }

  #connect .keyboard-connect {
    bottom: -30%;
  }
}

@media (min-width: 992px) {
  #about .copy {
    padding: 80px;
  }

  #about .about-circle-1 img {
    height: auto;
    width: 250px;
  }

  #about .copy p:first-of-type {
    padding-top: 80px;
  }

  #services h2 {
    font-size: 3.75rem;
  }
  #services h3,
  #services-2 h3 {
    font-size: 2.25rem;
  }
  #services h4,
  #services-2 h4 {
    font-size: 1.25rem;
  }
  #services .copy,
  #services-2 .copy {
    font-size: 1.25rem;
    padding-top: 30px;
  }

  #services img[src*='_icon'] {
    width: auto;
  }

  #connect .logo-connect img {
    width: 250px;
  }

  #connect .keyboard-connect {
    bottom: -15%;
    left: -20%;
  }

  #connect .column-1 {
    overflow: visible;
  }
  #connect .column-1,
  #connect .column-2 {
    padding: 100px 75px;
  }
}

@media (min-width: 1200px) {
  #about .copy {
    padding: 100px;
  }

  #about .about-circle-1 img {
    height: auto;
    width: auto;
  }

  #connect .logo-connect img {
    width: auto;
  }

  #connect .column-1,
  #connect .column-2 {
    padding: 75px 75px 150px;
  }

  #connect .copy {
    width: 50%;
  }
}

@media (min-width: 1400px) {
}
